[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-mariadb-backup-slave/status.svg)](https://drone.asperti.com/paspo/docker-mariadb-backup-slave)


# docker-mariadb-backup-slave

Setup a mariadb slave server with automysqlbackup


## Parameters
### SERVER_ID
This is used to customize slave server ID. The default value is 33. You should use an unique ID for each server.
### READONLY
When set to **1**,  the slave server is set as readonly. This is the default. If you set this variable to something different, the database will be read/write.
### REPLICATE_DO_DB
This is used to specify a single database to backup. It is generally advised to set this variable to the database name you want to backup.





$ docker exec some-mariadb sh -c 'exec mysqldump --all-databases -uroot -p"$MYSQL_ROOT_PASSWORD"' > /some/path/on/your/host/all-databases.sql


2019-11-24 10:57:24 0 [Warning] Neither --relay-log nor --relay-log-index were used; so replication may break when this MySQL server acts as a slave and has his hostname changed!! Please use '--log-basename=#' or '--relay-log=mysqld-relay-bin' to avoid this problem.
